\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{amsmath, amsthm, amssymb}

\begin{document}
For a percent sign, use \%.
Curly braces are \{ and \}.
Backslash is \textbackslash{}.
To type a hash sign use \#, and underscore is \_.
Type \textasciicircum{} for caret.

Use \textasciitilde{} for twiddle.
The twiddle is used to tie text together, so if you enter
`Mr.~Jones' a space appears but the line break cannot happen 
between the two. 

For a dollar sign, use \$ 
(an alternate way to make mathematics text is to 
surround it with dollar signs).

For quotation marks, start with two backticks before 
and end with two apostrophe's as in, ``a quotation.''

And, type \LaTeX{} for the name of this typesetting program. 
\end{document}     
